import { ConfigService } from "@nestjs/config";
import { UsersService } from "../../users/users.service";
import { User } from "../../entities/user.entity";
interface JwtPayload {
    sub: number;
    email: string;
}
declare const JwtStrategy_base: new (...args: any) => any;
export declare class JwtStrategy extends JwtStrategy_base {
    private readonly usersService;
    constructor(configService: ConfigService, usersService: UsersService);
    validate(payload: JwtPayload): Promise<Omit<User, "password">>;
}
export {};
